<div *ngIf="parishioner" class="clearfix" style="margin-bottom: 15px;">    
    <h3 style="margin-right: 15px; display: inline-block;">
      <a [routerLink]="[ '/parishioners', parishioner.$key ]" style="color: #333;">{{parishioner.name}}</a>
    </h3>
    <p style="display: inline-block;">
      <span style="margin-right: 5px; white-space: nowrap;"><span class="glyphicon glyphicon-home" style="color: gray;"></span> {{parishioner.address}}</span>
      <span style="margin-right: 5px; white-space: nowrap;"><span class="glyphicon glyphicon-usd" style="color: gray;"></span> {{parishionerSumOfOfferings | number:'1.2-2'}} zł</span>
      <a *ngIf="!readOnly" (click)="parishionerFormVisible = !parishionerFormVisible" title="{{'Update' | translate}}" class="util-cursor-pointer" style="margin-right: 5px; white-space: nowrap;"><i class="fa fa-pencil"></i></a>
      <a *ngIf="!readOnly" (click)="deleteParishioner(parishioner)" title="{{'Delete' | translate}}" class="util-cursor-pointer" style="margin-right: 5px; white-space: nowrap;"><i class="fa fa-trash"></i></a>
    </p>
    <div *ngIf="!readOnly && parishionerFormVisible" class="form-group small well well-sm clearfix">
      <app-parishioner-form 
        [parishioner]="parishioner"
        (updateSuccess)="handleParishionerUpdateSuccess()"
        (cancelClick)="parishionerFormVisible = false"></app-parishioner-form>
    </div>
    <h5>{{'LatestOfferingsLabel' | translate}}</h5>
    <div *ngIf="!miniMode">
      <chart [options]="parishionerOfferingChartOptions"></chart>
    </div>
    <div class="offering-list">
      <div class="offering-list__item" *ngFor="let offering of parishionerOfferings">
        <a class="util-cursor-pointer" *ngIf="!readOnly" (click)="selectOffering(offering)"><b>{{offering.amount | number:'1.2-2'}} zł</b></a>
        <span *ngIf="readOnly"><b>{{offering.amount | number:'1.2-2'}} zł</b></span>
        <small>{{offering.date | date}}</small> 
        <a *ngIf="!readOnly" (click)="deleteOffering(offering)" title="{{'Delete' | translate}}" class="util-cursor-pointer"><i class="fa fa-trash"></i></a>
      </div>
    </div>
    <div *ngIf="!readOnly" class="form-group well well-sm clearfix">
      <app-offering-form *ngIf="offering" 
        [offering]="offering"
        (addSuccess)="handleOfferingAddSuccess()"
        (updateSuccess)="handleOfferingUpdateSuccess()"
        (cancelClick)="resetOffering()"
        [hideCancel]="!offering.$key"></app-offering-form>
    </div>
    <div *ngIf="!readOnly">
      <div class="text-right">
        <button class="btn btn-default btn-xs" (click)="parishionerMergeWizardVisible = !parishionerMergeWizardVisible">
          <span class="glyphicon glyphicon-compressed"></span> {{'Merge' | translate}}
        </button>
      </div>
      <div *ngIf="parishionerMergeWizardVisible">
        <h3>{{'Merge' | translate}}...</h3>
        <app-parishioner-merge-wizard [parishioner]="parishioner" (parishionerMergeSuccess)="parishionerMergeWizardVisible = false"></app-parishioner-merge-wizard>
      </div>
    </div>
</div>
<div *ngIf="!parishioner" class="clearfix">
  {{'Loading' |  translate}}...
</div>